<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>mandelbulb</artifactId>
        <groupId>me.ironhorse</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>application</artifactId>

    <dependencies>
        <dependency>
            <groupId>me.ironhorse</groupId>
            <artifactId>math</artifactId>
        </dependency>
        <dependency>
            <groupId>me.ironhorse</groupId>
            <artifactId>domain</artifactId>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.processing/core -->
        <dependency>
            <groupId>org.processing</groupId>
            <artifactId>core</artifactId>
            <version>3.3.7</version>
        </dependency>
        <dependency>
            <groupId>org.jogamp.gluegen</groupId>
            <artifactId>gluegen-rt-main</artifactId>
            <version>2.3.2</version>
        </dependency>
        <dependency>
            <groupId>org.jogamp.jogl</groupId>
            <artifactId>jogl-all-main</artifactId>
            <version>2.3.2</version>
        </dependency>
        <!-- peasycam installed locally, see install_peasy -->
        <dependency>
            <groupId>peasy</groupId>
            <artifactId>peasycam</artifactId>
            <version>302</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/peasycam.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>peasy</groupId>
            <artifactId>peasy-math</artifactId>
            <version>302</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/peasy-math.jar</systemPath>
        </dependency>
    </dependencies>

</project>